bitel.billing.common

## Class KernelConst

- java.lang.Object
- - bitel.billing.common.KernelConst

-     public class KernelConst
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `CONTRACT_STATUS_ACTIVE` Deprecated.
    `static int` | `CONTRACT_STATUS_CLOSED` Deprecated.
    `static int` | `CONTRACT_STATUS_DISCONNECTED` Deprecated.
    `static int` | `CONTRACT_STATUS_IN_CONNECT` Deprecated.
    `static int` | `CONTRACT_STATUS_IN_DISCONNECT` Deprecated.
    `static int` | `CONTRACT_STATUS_SUSPENDED` Deprecated.
    `static int` | `DIRECTORY_ADDRESS_AREA_MODE`
    `static int` | `DIRECTORY_ADDRESS_CITY_MODE`
    `static int` | `DIRECTORY_ADDRESS_COUNTRY_MODE`
    `static int` | `DIRECTORY_ADDRESS_QUARTER_MODE`
    `static int` | `DIRECTORY_ADDRESS_STREET_MODE`
    `static int` | `DIRECTORY_CONTRACT_COMMENT_PATTERN_MODE`
    `static int` | `SUB_MODE_DEPEND_BALANCE` Deprecated.
    `static int` | `SUB_MODE_INDEPEND_BALANCE` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `KernelConst()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONTRACT_STATUS_ACTIVE

          @Deprecated
          public static final int CONTRACT_STATUS_ACTIVE

      Deprecated.
      Статусы настраиваемые с 5.2.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_IN_DISCONNECT

          @Deprecated
          public static final int CONTRACT_STATUS_IN_DISCONNECT

      Deprecated.
      Статусы настраиваемые с 5.2.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_DISCONNECTED

          @Deprecated
          public static final int CONTRACT_STATUS_DISCONNECTED

      Deprecated.
      Статусы настраиваемые с 5.2.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_CLOSED

          @Deprecated
          public static final int CONTRACT_STATUS_CLOSED

      Deprecated.
      Статусы настраиваемые с 5.2.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_SUSPENDED

          @Deprecated
          public static final int CONTRACT_STATUS_SUSPENDED

      Deprecated.
      Статусы настраиваемые с 5.2.
      See Also:
        Constant Field Values

    - #### CONTRACT_STATUS_IN_CONNECT

          @Deprecated
          public static final int CONTRACT_STATUS_IN_CONNECT

      Deprecated.
      Статусы настраиваемые с 5.2.
      See Also:
        Constant Field Values

    - #### DIRECTORY_ADDRESS_CITY_MODE

          public static final int DIRECTORY_ADDRESS_CITY_MODE

      See Also:
        Constant Field Values

    - #### DIRECTORY_ADDRESS_STREET_MODE

          public static final int DIRECTORY_ADDRESS_STREET_MODE

      See Also:
        Constant Field Values

    - #### DIRECTORY_ADDRESS_AREA_MODE

          public static final int DIRECTORY_ADDRESS_AREA_MODE

      See Also:
        Constant Field Values

    - #### DIRECTORY_ADDRESS_QUARTER_MODE

          public static final int DIRECTORY_ADDRESS_QUARTER_MODE

      See Also:
        Constant Field Values

    - #### DIRECTORY_ADDRESS_COUNTRY_MODE

          public static final int DIRECTORY_ADDRESS_COUNTRY_MODE

      See Also:
        Constant Field Values

    - #### DIRECTORY_CONTRACT_COMMENT_PATTERN_MODE

          public static final int DIRECTORY_CONTRACT_COMMENT_PATTERN_MODE

      See Also:
        Constant Field Values

    - #### SUB_MODE_DEPEND_BALANCE

          @Deprecated
          public static final int SUB_MODE_DEPEND_BALANCE

      Deprecated.
      субдоговор с зависимым балансом Использовать `Contract#SUB_MODE_DEPENDENT`
      See Also:
        Constant Field Values

    - #### SUB_MODE_INDEPEND_BALANCE

          @Deprecated
          public static final int SUB_MODE_INDEPEND_BALANCE

      Deprecated.
      субдоговор с независимым балансом Использовать `Contract#SUB_MODE_INDEPENDENT`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KernelConst

          public KernelConst()